<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
<meta http-equiv='Content-Type' content='text/html; charset=UTF-8' />

<meta name="viewport" content="width=device-width, initial-scale=1">


<title>Lista de usuários</title>

<link rel="stylesheet" th:href="@{/bootstrap-5.1.3-dist/css/bootstrap.min.css}">
<script th:src="@{/jquery-3.6.0-dist/jquery-3.6.0.min.js}"></script>
<script th:src="@{/bootstrap-5.1.3-dist/js/bootstrap.min.js}"></script>

</head>
<body>

<div class="container">
  <div class="row">
  	
    <div class="col">
    	
	<a class="btn btn-primary btn-sm" th:href="@{/novo}"> Novo</a>
	
	<div class="alert alert-success alert-dismissible fade show" th:if="${mensagem}">
			<button type="button" class="btn-close" data-bs-dismiss="alert"></button>
			<span th:text="${mensagem}"></span>
	</div>
	<table class="table table-striped">
		<thead>
			<tr>
				<th>Id</th>
				<th>Descrição</th>
				<th>Valor</th>
			</tr>
		</thead>
		<tbody>
			<tr th:if="${produtos.empty}">
				<td colspan="2">Sem produtos</td>
			</tr>
			<tr th:each="p : ${produtos}">
				<td><span th:text="${p.id}"> Nome </span></td>
				<td><span th:text="${p.descricao}"> Descrição </span></td>
				<td><span th:text="${p.valor}"> Valor </span></td>
								
				<td>
					<a class="btn btn-outline-danger btn-sm" 
					   th:href="@{/apagar/{id}(id=${p.id})}"
					   th:data-confirm-delete="|Você gostaria de apagar o produto?|"
  					   onclick="if (!confirm(this.getAttribute('data-confirm-delete'))) return false">
					   Apagar
					</a>
				</td>				
				<td>
					<a class="btn btn-outline-primary btn-sm" 
					   th:href="@{/editar/{id}(id=${p.id})}">
					   Editar</a>
				</td>
			
			</tr>
		</tbody>
	</table>    
    </div>
    
  </div>
</div>

	
</body>
</html>